Преглед изворни кода

Merge branch 'sway' of git.caseydelorme.com:cdelorme/arch-desktop into sway

Casey DeLorme пре 2 година
родитељ
комит
929f2109c2

+ 13 - 13
arch.sh

@@ -55,6 +55,9 @@ curl -O https://download.sublimetext.com/sublimehq-pub.gpg && pacman-key --add s
 # Core tools
 export PACKAGES="linux linux-headers linux-firmware base-devel mkinitcpio sudo bash-completion man-db tmux gvim dkms dmidecode at bc cronie lm_sensors lshw stress"
 
+# install core packages so dependencies exist
+pacman -Syu --noconfirm $PACKAGES
+
 # Conditional CPU unicode
 [ $(grep -c "Intel" /proc/cpuinfo) -gt 0 ] && PACKAGES="${PACKAGES} intel-ucode"
 [ $(grep -c "AMD" /proc/cpuinfo) -gt 0 ] && PACKAGES="${PACKAGES} amd-ucode"
@@ -78,7 +81,7 @@ PACKAGES="${PACKAGES} pkgfile pkgconf bison gcc gcc-libs cmake ccache ncurses xm
 PACKAGES="${PACKAGES} mesa lib32-mesa dbus polkit giflib lib32-giflib mpg123 lib32-mpg123 v4l-utils lib32-v4l-utils lame libwebp libid3tag libvorbis vorbis-tools faac x264 x265 libpng12 lib32-libpng12 pulseaudio libpulse lib32-libpulse openal lib32-openal opencl-icd-loader lib32-opencl-icd-loader libva lib32-libva libva-utils gst-plugins-base-libs lib32-gst-plugins-base-libs graphicsmagick imagemagick joyutils evtest libexif ffmpeg lxsession-gtk3 yt-dlp wine-staging winetricks fcitx5 fcitx5-mozc fcitx5-configtool fcitx5-gtk fcitx5-qt"
 
 # GUI theme
-PACKAGES="${PACKAGES} gnome-themes-extra gnome-icon-theme arc-gtk-theme gtk-engines gtk-engine-murrine"
+PACKAGES="${PACKAGES} gnome-themes-extra hicolor-icon-theme arc-gtk-theme gtk-engines gtk-engine-murrine"
 
 # GUI dependencies
 PACKAGES="${PACKAGES} gtk3 lib32-gtk3 pavucontrol pcmanfm-gtk3 ffmpegthumbnailer tumbler xdg-utils xdg-user-dirs"
@@ -87,29 +90,29 @@ PACKAGES="${PACKAGES} gtk3 lib32-gtk3 pavucontrol pcmanfm-gtk3 ffmpegthumbnailer
 PACKAGES="${PACKAGES} libva-mesa-driver lib32-libva-mesa-driver lib32-mesa-vdpau vulkan-tools vulkan-icd-loader lib32-vulkan-icd-loader"
 
 # Sway dependencies
-PACKAGES="${PACKAGES} sway alacritty wofi waybar xorg-xwayland xorg-xlsclients qt5-wayland glfw-wayland grim slurp xdg-desktop-portal-wlr libpipewire02 wl-clipboard brightnessctl playerctl mako libappindicator-gtk3 lib32-libappindicator-gtk3"
+PACKAGES="${PACKAGES} sway swaybg alacritty wofi waybar xorg-xwayland xorg-xlsclients qt5-wayland glfw-x11 grim slurp xdg-desktop-portal-wlr libpipewire02 wl-clipboard brightnessctl playerctl mako libappindicator-gtk3 lib32-libappindicator-gtk3"
 
 # fonts
 PACKAGES="${PACKAGES} fontconfig ttf-bitstream-vera ttf-droid ttf-dejavu ttf-liberation ttf-hanazono ttf-font-awesome"
 
 # GUI software
-PACKAGES="${PACKAGES} xarchiver gparted psensor hardinfo steam steam-native-runtime gamemode lib32-gamemode discord mpv mpv-mpris openshot gimp krita firefox obs-studio dia mednafen mame ppsspp lutris sublime-text evince viewnior virt-manager virtualbox virtualbox-host-modules-arch"
+PACKAGES="${PACKAGES} xarchiver gparted psensor steam steam-native-runtime gamemode lib32-gamemode discord mpv mpv-mpris openshot gimp krita firefox obs-studio mednafen mame ppsspp lutris sublime-text evince viewnior virt-manager virtualbox virtualbox-host-modules-arch corectrl"
 
 # conditional GPU packages
 if [ $(lspci | grep -i "vga" | grep -ci "amd") -gt 0 ]; then
-	PACKAGES="$PACKAGES xf86-video-amdgpu vulkan-radeon lib32-vulkan-radeon mesa-vdpau"
+	PACKAGES="${PACKAGES} xf86-video-amdgpu vulkan-radeon lib32-vulkan-radeon mesa-vdpau"
 
 	# update modules to load
 	[ $(grep -c "amd" /etc/mkinitcpio.conf) -eq 0 ] && sed -i 's/MODULES=(\(.*\))/MODULES=(\1 amdgpu radeon)/' /etc/mkinitcpio.conf
 fi
 if [ $(lspci | grep -i "vga" | grep -ci "intel") -gt 0 ]; then
-	PACKAGES="$PACKAGES xf86-video-intel vulkan-intel lib32-vulkan-intel mesa-vdpau"
+	PACKAGES="${PACKAGES} xf86-video-intel vulkan-intel lib32-vulkan-intel mesa-vdpau"
 
 	# update modules to load
 	[ $(grep -c "amd" /etc/mkinitcpio.conf) -eq 0 ] && sed -i 's/MODULES=(\(.*\))/MODULES=(\1 i915)/' /etc/mkinitcpio.conf
 fi
 if [ $(lspci | grep -i "vga" | grep -ci "nvidia") -gt 0 ]; then
-	PACKAGES="$PACKAGES nvidia-dkms libglvnd lib32-libglvnd opencl-nvidia lib32-opencl-nvidia xf86-video-nouveau nvidia-utils lib32-nvidia-utils mesa-vdpau nvidia-settings"
+	PACKAGES="${PACKAGES} nvidia-dkms libglvnd lib32-libglvnd opencl-nvidia lib32-opencl-nvidia xf86-video-nouveau nvidia-utils lib32-nvidia-utils mesa-vdpau nvidia-settings"
 
 	# update modules to load
 	[ $(grep -c "nvidia" /etc/mkinitcpio.conf) -eq 0 ] && sed -i 's/MODULES=(\(.*\))/MODULES=(\1 nvidia nvidia_modeset nvidia_uvm nvidia_drm)/' /etc/mkinitcpio.conf
@@ -125,7 +128,7 @@ pacman -Syu --noconfirm $PACKAGES
 [ -d /srv/arch-desktop/install ] || git clone https://git.caseydelorme.com/cdelorme/arch-desktop /srv/arch-desktop
 rsync -Pav /srv/arch-desktop/install/ /
 mkdir -p /etc/skel/.config/pulse
-mkdir -p /etc/skel/{desktop,downloads,public,public/templates,documents,music,pictures,videos,git}
+mkdir -p /etc/skel/{desktop,downloads,public,public/templates,documents,music,pictures,videos,code}
 sed "/module-suspend-on-idle/d" /etc/pulse/default.pa > /etc/skel/.config/pulse/default.pa
 # @note: we may want to avoid disabling this on laptops
 sed -i "/module-switch-on-port-available/d" /etc/skel/.config/pulse/default.pa
@@ -152,12 +155,8 @@ sudo -u $aur_username git clone https://aur.archlinux.org/xcursor-chameleon-skyb
 sudo -u $aur_username git clone https://aur.archlinux.org/numix-icon-theme-git.git /home/${aur_username}/numix-icon-theme-git
 (cd /home/${aur_username}/numix-icon-theme-git && sudo -u ${aur_username} makepkg -rcsi --noconfirm)
 
-# xpadneo
-
 # cmst (for connman UI)
 
-# corectrl
-
 # wev
 
 # cleanup aur user
@@ -231,9 +230,10 @@ if [[ -n "$username" && -n "$password" ]]; then
 	# generate default (passwordless) ed25519 ssh key if none exists
 	su $username -c "cd; if [ ! -f ~/.ssh/id_ed25519 ]; then ssh-keygen -q -t ed25519 -N '' -f ~/.ssh/id_ed25519 && cd && chmod 600 ~/.ssh/id_ed25519 && chmod 600 ~/.ssh/id_ed25519.pub; fi"
 
-	# install gvm loading from ~/.bash_profile, and the latest go version
+	# install gvm loading from ~/.bashrc & ~/.bash_profile, and the latest go version
 	su $username -c "if [ ! -d ~/.gvm ]; then GVM_NO_UPDATE_PROFILE=1 bash < <(curl -Ls https://raw.githubusercontent.com/moovweb/gvm/master/binscripts/gvm-installer 2> /dev/null); fi"
-	su $username -c 'grep "gvm" ~/.bash_profile &> /dev/null || echo -e "\n# load gvm\n[ -s ~/.gvm/scripts/gvm ] && . $HOME/.gvm/scripts/gvm" >> ~/.bash_profile'
+	su $username -c 'grep "gvm" ~/.bash_profile &> /dev/null || echo -e "\n# load gvm\n[ -s $HOME/.gvm/scripts/gvm ] && . $HOME/.gvm/scripts/gvm" >> ~/.bash_profile'
+	su $username -c 'grep "gvm" ~/.bashrc &> /dev/null || echo -e "\n# load gvm\n[ -s $HOME/.gvm/scripts/gvm ] && . $HOME/.gvm/scripts/gvm" >> ~/.bashrc'
 	su $username -c ". ~/.gvm/scripts/gvm && gvm install go1.17.6 -B && gvm use go1.17.6 --default"
 
 	# configure user-space transmission

+ 1 - 1
install/etc/polkit-1/rules.d/90-corectrl.rules

@@ -3,7 +3,7 @@ polkit.addRule(function(action, subject) {
          action.id == "org.corectrl.helperkiller.init") &&
         subject.local == true &&
         subject.active == true &&
-        subject.isInGroup("your-user-group")) {
+        subject.isInGroup("sudo")) {
             return polkit.Result.YES;
     }
 });

+ 15 - 6
install/etc/skel/.bash_profile

@@ -3,21 +3,30 @@
 # add local bin to path
 export PATH=/usr/local/bin:$PATH
 
-# alias for discord wayland, since it ignores configs
-alias discord='discord --enable-features=UseOzonePlatform --ozone-platform=wayland'
+# explicitly set and append to XDG_DATA_DIRS
+[ -z "$XDG_DATA_DIRS" ] && export XDG_DATA_DIRS="/usr/share:/usr/local/share"
+export XDG_DATA_DIRS="$XDG_DATA_DIRS:$HOME/.local/share"
+
+# set language, editor, augment history behavior, enable dynamic resize
+export LANG=en_US.UTF-8
+export LANGUAGE=en_US.UTF-8
+export EDITOR=vim
+export HISTFILE="$HOME/.bash_history"
+export HISTCONTROL=ignoreboth:erasedups
+shopt -s histappend
+shopt -s checkwinsize
+shopt -s direxpand
 
 # fcitx IME support
 export GTK_IM_MODULE=fcitx
 export QT_IM_MODULE=fcitx
 export XMODIFIERS=@im=fcitx
 
-# specify wayland for applications like steam
+# specify wayland for applications (primarily games)
 export MOZ_ENABLE_WAYLAND=1
 export SDL_VIDEODRIVER="wayland"
 export XDG_CURRENT_DESKTOP=Unity
-
-# golang override for package behavior
-export GO111MODULE=auto
+export WINE_FULLSCREEN_FSR=1
 
 # if bashrc exists and the terminal has stdin load it
 test -t 0 && . "$HOME/.bashrc"

+ 0 - 14
install/etc/skel/.bashrc

@@ -1,15 +1,5 @@
 #!/bin/bash
 
-# set language, editor, augment history behavior, enable dynamic resize
-export LANG=en_US.UTF-8
-export LANGUAGE=en_US.UTF-8
-export EDITOR=vim
-export HISTFILE="$HOME/.bash_history"
-export HISTCONTROL=ignoreboth:erasedups
-shopt -s histappend
-shopt -s checkwinsize
-shopt -s direxpand
-
 # add aliases with optimized settings
 alias ls='ls -vhFA --color=auto'
 alias grep='grep --color=auto'
@@ -95,10 +85,6 @@ fi
 . /usr/share/bash-completion/bash_completion
 . /usr/share/doc/pkgfile/command-not-found.bash
 
-# explicitly set and append to XDG_DATA_DIRS
-[ -z "$XDG_DATA_DIRS" ] && export XDG_DATA_DIRS="/usr/share:/usr/local/share"
-export XDG_DATA_DIRS="$XDG_DATA_DIRS:$HOME/.local/share"
-
 # use shared agent to load ssh-keys; expects systemd to manage agent
 export SSH_AUTH_SOCK="$HOME/.ssh/socket"
 ssh-add -l &> /dev/null || ssh-add

+ 5 - 0
install/etc/skel/.config/alacritty/alacritty.yml

@@ -0,0 +1,5 @@
+env:
+  TERM: xterm-256color
+window:
+  opacity: 0.95
+

+ 1 - 1
install/etc/skel/.config/libfm/libfm.conf

@@ -1,4 +1,4 @@
-# Configuration file for the libfm version 1.3.1.
+# Configuration file for the libfm version 1.3.2.
 # Autogenerated file, don't edit, your changes will be overwritten.
 
 [config]

+ 2 - 2
install/etc/skel/.config/mimeapps.list

@@ -17,7 +17,7 @@ text/x-go=sublime_text.desktop;
 text/x-markdown=sublime_text.desktop;
 application/x-php=sublime_text.desktop;
 application/x-shellscript=sublime_text.desktop;
-application/pdf=evince.desktop;
+application/pdf=org.gnome.Evince.desktop;
 video/x-msvideo=mpv.desktop;
 video/x-flv=mpv.desktop;
 video/quicktime=mpv.desktop;
@@ -66,7 +66,7 @@ text/x-go=sublime_text.desktop;
 text/x-markdown=sublime_text.desktop;
 application/x-php=sublime_text.desktop;
 application/x-shellscript=sublime_text.desktop;
-application/pdf=evince.desktop;
+application/pdf=org.gnome.Evince.desktop;
 video/x-msvideo=mpv.desktop;
 video/x-flv=mpv.desktop;
 video/quicktime=mpv.desktop;

+ 8 - 2
install/etc/skel/.config/mpv/mpv.conf

@@ -2,6 +2,12 @@
 # video driver
 profile=gpu-hq
 
+# hwdecoder
+hwdec=auto-copy
+
+# wayland gpu context
+gpu-context=waylandvk
+
 # default scale and image rendering
 scale=ewa_lanczossharp
 cscale=ewa_lanczossoft
@@ -21,8 +27,8 @@ osc=yes
 # mpv --ytdl-raw-options="username=username,password=password" "url"
 
 # extensions
-[extension.webm]
-loop-file=inf
+#[extension.webm]
+#loop-file=inf
 
 [extension.gif]
 loop-file=inf

+ 0 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/Default (Linux).sublime-keymap → install/etc/skel/.config/sublime-text/Packages/User/Default (Linux).sublime-keymap


+ 0 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/GoSublime.sublime-settings → install/etc/skel/.config/sublime-text/Packages/User/GoSublime.sublime-settings


+ 0 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/Markdown.sublime-settings → install/etc/skel/.config/sublime-text/Packages/User/Markdown.sublime-settings


+ 0 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/MarkdownPreview.sublime-settings → install/etc/skel/.config/sublime-text/Packages/User/MarkdownPreview.sublime-settings


+ 1 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/Preferences.sublime-settings → install/etc/skel/.config/sublime-text/Packages/User/Preferences.sublime-settings

@@ -1,4 +1,5 @@
 {
+	"show_git_status": true,
 	"auto_complete_commit_on_tab": true,
 	"caret_style": "phase",
 	"color_scheme": "Packages/Color Scheme - Default/Sunburst.tmTheme",

+ 0 - 0
install/etc/skel/.config/sublime-text-3/Packages/User/default_file_type.sublime-settings → install/etc/skel/.config/sublime-text/Packages/User/default_file_type.sublime-settings


+ 3 - 2
install/etc/skel/.config/sway/config

@@ -20,7 +20,7 @@ seat seat0 xcursor_theme Chameleon-SkyBlue-Large
 # window manager commands
 bindsym $mod+Shift+c reload
 bindsym $mod+Shift+q kill
-bindsym $mod+x exec swaymsg exit
+bindsym $mod+x exec "systemctl --user import-environment; systemctl --user stop sway-session.target; swaymsg exit"
 bindsym $mod+p focus parent
 
 # split workspace horizontal and vertical
@@ -135,7 +135,8 @@ for_window [class="xdg-desktop-portal-kde"] floating enable
 for_window [class="Wine"] floating enable
 for_window [app_id="lutris"] floating enable
 
-# waybar is great
+# @reference: man 5 sway-bar
+# @todo: figure out how to configure and optimize waybar
 bar {
     swaybar_command waybar
 }

+ 12 - 0
install/etc/skel/.config/systemd/user/corectrl.service

@@ -0,0 +1,12 @@
+[Unit]
+Description=CoreControl Advanced CPU and GPU Tuning
+PartOf=graphical-session.target
+
+[Service]
+Type=simple
+ExecStart=/usr/bin/corectrl
+Restart=on-failure
+RestartSec=3
+
+[Install]
+WantedBy=sway-session.target

+ 1 - 0
install/etc/skel/.config/systemd/user/sway-session.target.wants/corectrl.service

@@ -0,0 +1 @@
+../corectrl.service

+ 1 - 0
install/etc/skel/.config/waybar/config

@@ -1,3 +1,4 @@
+{
     "height": 30,
     "spacing": 4,
     "modules-left": ["sway/workspaces", "sway/mode"],

+ 27 - 0
install/etc/skel/.config/yt-dlp/config

@@ -1,4 +1,31 @@
 # set sane defaults to ensure video and audio are saved as intended
+#
+# Unfortunately yt-dlp lacks sane behaviors with regards to controlling
+# both video and audio formats from `~/.config/yt-dlp/config`.
+#
+# If I add `--recode-video=webm` then it will also recode audio only downloads
+# to webm even if I specified `--audio-format=opus`.
+#
+# I then tried using `-f` to control the downloaded file, but this is exposed
+# other strange and undesirable behaviors.
+#
+# If I use `ba[ext=opus]` it will often fail because `opus` is not a commonly
+# available extension.
+#
+# If I use `ba[ext=webm]`even if I want both audio and video it will never
+# download the full video file.
+#
+# If I use `bv[ext=webm]+ba[ext=webm]` with `-x` it will download the entire
+# video file, which is often an order of magnitude larger wasting both time and
+# disk space, before converting to the desired audio-only format.
+#
+# In conclusion there does not seem to be intelligent design around the `-x`
+# flag.  It ignores this flag when picking the file to download, and it ignores
+# this flag when asked to recode video even though I only want audio.
+#
+# The end result is that I have to pick between only controlling audio or video
+# and if I control video I am forced to download entire video files when smaller
+# audio-only downloads would suffice.
 
 # sane stream download setting
 --wait-for-video=1

+ 0 - 6
install/usr/local/bin/discord

@@ -1,6 +0,0 @@
-#!/bin/bash
-
-# because discord sucks and ignores configs
-# and when launched through wofi ignores aliases
-
-/usr/bin/discord --enable-features=UseOzonePlatform --ozone-platform=wayland "$@"

+ 46 - 41
todo.md

@@ -8,11 +8,18 @@ _Expect iterative changes over the following months while fine-tuning happens on
 
 ## sway
 
-Going directly to hardware trials because virtualbox support requires too much undesirable configuration:
+Fresh install after swapping motherboards since Gigabyte hasn't fixed the reboot problems in 1.5 years.
 
+- Verify gvm reloads properly as I have copied it to bashrc
+- Verify swapping export locations into bash_profile does not break (_eg. due to alacritty only loading bashrc not bash_profile_)
+- Test the new sway exit command works by properly terminating session services
+	- _Figure out what is still broken so I can exit and restart sway without rebooting?_
 
----
+- modify alacritty.yml to match former xdefaults
+	- [reference](https://sunnnychan.github.io/cheatsheet/linux/config/alacritty.yml.html)
+	- We can set the program and args to force it to load bash_profile and eliminate redundant gvm logic while fixing the other major issue I had with it?
 
+<<<<<<< HEAD
 alacritty does not load bash_profile, which means gvm never refreshes.
 
 I should move most of the non-static content into bashrc instead, which does get loaded every new shell.
@@ -46,27 +53,12 @@ https://github.com/gurrgur/er-patcher
 
 ---
 
-- move aur packages to install under the actual user and download to their src directory (for easier updates)
-- add these packages to the installation list:
-	- xpadneo-dkms
+- install `aur` packages under actual user rather than temporary user
 	- cmst (sway/wayland friendly connman management)
-	- corectrl
-		- add `.service` to userspace systemd
 	- wev (_need to verify necessity?_)
-	- https://aur.archlinux.org/packages/mpv-mpris/
-- Change aur packages to install under the user being created instead of a temporary user
-	- _this will allow that user to find and update them more readily/easily_
-
 
 - investigate `poweralertd` and `batsignal` to setup low battery alerts with `mako`
-
-
-- create alacritty config copying from former xdefaults
-	- https://sunnnychan.github.io/cheatsheet/linux/config/alacritty.yml.html
-	- _transparency is a great start, but we're not done!_
-
-
----
+	- _This is important for laptops_
 
 - continue to refine `notes/sway.md` to account for the lack of obvious world-knowledge
 
@@ -80,10 +72,11 @@ https://github.com/gurrgur/er-patcher
 	- try No Man's Sky
 
 
----
+## better temperature scripts
+
+Write a script to grab temperatures to replace the temperature module in waybar with custom commands...
 
-- write a script to grab temperatures to replace the temperature module in waybar with custom commands...
-	- _this is because configuring temperatures is hardware dependent and the waybar has unintelligent defaults and anti-agnostic configuration!_
+_This is because configuring temperatures is hardware dependent and the waybar has unintelligent defaults and anti-agnostic configuration!_
 
 Example that matters?
 
@@ -118,13 +111,13 @@ Samples:
 	}
 
 
----
+## scratchpad experiment
+
+I would like to be able to selectively deal with applications send to scratchpad.
+
+Getting an ordered list is a starting point.
 
-- test writing a script to iterate scratchpad items
-	- need to be able to get a list
-	- need that list to be reliably ordered
-		- _or need to impose an order_
-	- can potentially replace `scratchpad show` with `exec`
+Probably replacing `scratchpad show` with an `exec`.
 
 New `/usr/local/bin/alacrittyq` with `$mod+tilde` toggle:
 
@@ -140,15 +133,20 @@ New `/usr/local/bin/alacrittyq` with `$mod+tilde` toggle:
 - investigate dedicated identity for an alacritty window to selectively target for scratchpad persistent terminal via mod+tilde
 
 
----
+## workspace restoration
 
-- It may be possible to write an IPC connected utility to save and restore workspaces
-	- _this tool would need to know when to save, and to intelligently restore only once when applications are first launched._
-	- It would need to have a way to pull wayland equivalents for the content mentioned in this issue:
-		- https://github.com/swaywm/sway/issues/1005
+It may be possible to write an IPC connected utility to save and restore workspaces
 
+_This tool would need to know when to save, and to intelligently restore only once when applications are first launched._
 
----
+It would need to have a way to pull wayland equivalents for the content mentioned in this issue:
+
+- https://github.com/swaywm/sway/issues/1005
+
+
+## hidpi check
+
+Previously I stopped caring because hidpi is erratic and glitchy, but I'm curious if sway might be smarter than openbox...
 
 - test hidpi configuration
 	- `output * scale 2`
@@ -162,7 +160,7 @@ New `/usr/local/bin/alacrittyq` with `$mod+tilde` toggle:
 - _Remember to take some screenshots before and after to indicate visible changes?_
 
 
----
+## firefox automated configuration
 
 - investigate firefox configuration
 	- [auto-configuration?](https://support.mozilla.org/en-US/kb/customizing-firefox-using-autoconfig)
@@ -170,10 +168,17 @@ New `/usr/local/bin/alacrittyq` with `$mod+tilde` toggle:
 	- how to make it remember workspaces when restoring tabs (_probably not possible, so using tab manager addon_)
 
 
----
+## data cleanup
+
+Utilize my old rig to cleanup and organize my data across my old HDD's
+
+- Uninstall everything that is taking up disk space
+	- games
+	- videos
+	- music
+	- data
+- disable transmission (_we should not be downloading more content on this box_)
+
+Since this machine is separate/independent I can happily deal with long running processes and filling the disks to the brim while going through my files...
 
-- utilize my old rig to cleanup and organize my data across my old HDD's
-	- _transfer `views/` ASAP..._
-	- uninstall all games and other content taking up space
-	- disable transmission so I can avoid accidentally increasing the files on this disk
-	- this includes sorting what is on `data/`, the other 2TB disk
+At the end I want to be able to eliminate a huge amount of data that I don't need anymore, and any redundant copies of data as well...